mav_windowNew(3)

NAME
mav_windowNew - Create a new window.

LEVEL
Maverik Level 1

SYNTAX
MAV_window *mav_windowNew(int x, int y, int w, int h, char *name, char *disp);

ARGUMENTS

int x
    Left position of window in pixels.

int y
    Top position of window in pixels.

int w
    Width of window in pixels.

int h
    Height of window in pixels.

char *name
    Name of window.

char *disp
    Name of X display on which to open window.

DESCRIPTION
This function creates a new window, returning a handle to it. The window is opened on the X display specified by disp (if set to NULL, then the display defined by the DISPLAY environment variable is used). The position of the top left corner of the window is given by (x, y), where the top left coordinates of the display screen are (0,0). The width and height of the window, in pixels, are respectively w and h. If the window manager permits, the title bar of the window will be labelled name.